Subject: Re: bug#8071: Please rename automake invocation node

From: Eric Blake <[email-masked]>
Date: Fri, 30 Dec 2011 06:59:48 -0700

On 12/28/2011 12:33 PM, Stefano Lattarini wrote:
>> > This can be fixed by using an @anchor{} to the old name at the same
>> > location as you switch to the new consistent node name.  The tools will
>> > then keep the old link live by virtue of the anchor, without having to
>> > mess with .symlinks.
>> > 
> Good idea.  What about the attached patch?  I'm not very familiar with
> the translation of @anchor directives in the HTML output, so I'd like an
> explicit ACK before pushing.
> 

>  
> -
> -@node Invoking Automake
> +@c The anchor is required to avoid breaking existing web hyperlinks
> +@c still using the old name of this node.
> +@anchor{Invoking automake}
> +@node automake Invocation
>  @chapter Creating a @file{Makefile.in}

Autoconf has this example:

@node Specifying Target Triplets
@section Specifying target triplets
@cindex System type
@cindex Target triplet
@c This node used to be named Specifying Names.  The @anchor allows old
@c links to still work.
@anchor{Specifying Names}

I'm not sure if putting the @anchor after the @node make a difference.
If the anchor takes the old name to the previous node, then we may want
to move the anchor to appear after the @node.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org